//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SBUTTON.H 

#if !defined(__SFX_SBUTTON_H)
#define __SFX_SBUTTON_H

#if !defined(__OWL_BUTTON_H)
  #include <owl\button.h>
#endif

//  class TSFXButton

class _OWLCLASS TSFXButton : public TButton
{
  public:
	TSFXButton(TWindow*        parent,
			   int             id,
			   const char far* text,
			   int x, int y, int w = 0, int h = 0,
			   TModule*        module = 0);

	TSFXButton(TWindow* parent, int resourceId, TModule* module = 0);

	//	Changes a button's id and associated bitmaps, if any.
	void       SetButton(int newId);

	//	Displays an icon on an icon button. You must load and delete the icon.
	void       SetIcon(HICON newIcon);

	//	Sets the button text to str
	void       SetText(const char far* str);

  protected:
	char far*  GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXButton, TButton);
};

#endif //	__SFX_SBUTTON_H
